Components and Plugins: Discovery backends

## Data Structures

struct | hwloc_backend

## Functions

struct hwloc_backend * | hwloc_backend_alloc (struct hwloc_disc_component *component)
int | hwloc_backend_enable (struct hwloc_topology *topology, struct hwloc_backend *backend)

## Detailed Description

## Function Documentation

## hwloc_backend_alloc()

struct hwloc_backend* hwloc_backend_alloc | ( | struct hwloc_disc_component * | component | ) |

Allocate a backend structure, set good default values, initialize backend->component and topology, etc. The caller will then modify whatever needed, and call hwloc_backend_enable().

## hwloc_backend_enable()

int hwloc_backend_enable | ( | struct hwloc_topology * | topology,
|  | struct hwloc_backend * | backend
| ) |  |

Enable a previously allocated and setup backend.